This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 476955

Summary: regression: gnome-terminal eats F10
Product: [Fedora] Fedora Reporter: David Nečas <yeti>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-04 06:49:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Nečas 2008-12-18 04:58:29 EST
Description of problem:
There is no way (well, except perhaps some gconf magic) to get F10 keypresses in gnome-terminal passed to the program running in the terminal.

Edit -> Keyboard shortcuts contains checkbox `Enable the menu shortcut key (F10 by default)'.  When it is checked, F10 is eaten by gnome-terminal and invokes the main menu bar.  When it is unchecked, F10 is eaten by gnome-terminal and invokes a context menu.  In both cases, the program in terminal lose.

Version-Release number of selected component (if applicable):
gnome-terminal-2.24.2-2.fc10

How reproducible:
Always

Steps to Reproduce:
1. Run mc.
2. Press F10.
3. Try that with `F10 disabled'.
  
Actual results:
F10 always brings some gnome-terminal menu.

Expected results:
At least in one case F10 quits mc.  (Alternatively: The preferences contain an option to really disable F10.)

Additional info:
This is a regression, it used to be possible to make F10 work in terminal programs in the keyboard shortcuts preferences.
Comment 1 David Nečas 2009-02-04 06:49:15 EST
Apparently, this is fixed in gnome-terminal-2.24.3-1.fc10, or anyway it started to work.